package com.byteslounge.logger.factory;

import com.byteslounge.logger.DatabaseLogger;
import com.byteslounge.logger.FileLogger;
import com.byteslounge.logger.Logger;

public class LoggerFactory {

	private LoggerFactory() {

	}

	public static Logger getLogger(LoggerType loggerType) {
		Logger logger;

		switch (loggerType) {
		case DATABASE:
			logger = new DatabaseLogger();
			break;
		default:
			logger = new FileLogger();
		}
		return logger;
	}

	public enum LoggerType {
		DATABASE, FILE;
	}
}
